import 'package:flutter/material.dart';
import 'package:ui_framework/clade_listview.dart';
import 'package:ui_framework/common/atomic/custom_card/custom_card.dart';
import 'package:ui_framework/common/molecule/image_container/custom_image_container.dart';
import 'package:ui_framework/common/molecule/label/custom_label.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatelessWidget {
  final List<CustomCard> cards = [
    CustomCard(
      children: <Widget>[
        CustomImageContainer(
          height: 300,
          radius: 5.0,
        ),
        CustomLabel(
          text: "New Post",
        ),
      ],
    )
  ];
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
          appBar: AppBar(
            elevation: 2,
            centerTitle: false,
            title: Text("UI Framework"),
          ),
          backgroundColor: Colors.white,
          body: CladeListView(
            listCards: cards,
          )),
    );
  }
}
